Aidez-moi s'il vous plait


#1

Bonsoir
Je n'arrive pas à installer le package "ggplot2" sur logiciel version 3.4.3
voici le message que m'envoe
install.packages("ggplot2")
Installation du package dans ‘C:/Users/hp/Documents/R/win-library/3.4’
(car ‘lib’ n'est pas spécifié)
--- SVP sélectionner un miroir CRAN pour cette session ---
es
Content type 'application/zip' length 2784675 bytes (2.7 MB)
downloaded 2.7 MB

le package ‘ggplot2’ a été décompressé et les sommes MD5 ont été vérifiées avec succés

Les packages binaires téléchargés sont dans
C:\Users\hp\AppData\Local\Temp\Rtmp2rHIri\downloaded_packages

library(ggplot2)
Erreur : package or namespace load failed for ‘ggplot2’ in loadNamespace(j <- i[[1L]], c(lib.loc, .libPaths()), versionCheck = vI[[j]]):
aucun package nommé ‘Rcpp’ n'est trouvé
De plus : Warning message:
le package ‘ggplot2’ a été compilé avec la version R 3.4.4


#2

This is a pretty common problem; see (roughly)

Essentially: Install Rcpp with install.packages("Rcpp"). Given the last warning, you should update R itself first, though, or you'll have to repeat yourself whenever you do.